function [StrEstado,StrEntrada,StrMedicao,StrParametros] = penduloinvertido_iniciar(N)

StrEstado = struct('x',zeros(N,1),...
   'xdot',zeros(N,1),...
   'theta',zeros(N,1),...
   'thetadot',zeros(N,1));

StrEntrada = struct('u',zeros(N,1));

StrMedicao = struct('x',zeros(N,1),...
   'theta',zeros(N,1));

StrParametros = struct('m',0.2,...
   'M',0.5,...
   'b',0.2,...
   'l',0.3,...
   'I',0.006,...
   'g',9.81,...
   'Hc',0.10,...
   'Rw',0.03,...
   'Lc',0.30,...
   'Fmax',10,...
   'Fmin',-10,...
   'xnoisestd',0.003,...
   'thetanoisestd',0.2*pi/180,...
   'xmin',-0.75,...
   'xmax',+0.75,...
   'thetamin',91*pi/180,...
	'thetamax',269*pi/180);